CGMDisplay (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.dataAccess.cgm
Class CGMDisplay

    java.lang.Object
      com.bbn.openmap.dataAccess.cgm.CGMDisplay

    public class CGMDisplay

extends java.lang.Object

Nested Class Summary
`protected static class` | `CGMDisplay.ServeChoice`

Field Summary
`protected CGM` | `Cgm`
`protected double` | `DX`
`protected double` | `DY`
`protected int[]` | `Extent`
`protected int` | `H`
`protected int` | `W`
`protected double` | `X`
`protected double` | `Y`

Constructor Summary
`CGMDisplay(CGM cgm)`

Method Summary
`void` | `changeColor(java.awt.Color oldc, java.awt.Color newc)`
`double` | `factorX()`
`double` | `factorY()`
`void` | `frame(java.awt.Graphics g)`
`java.awt.image.BufferedImage` | `getBufferedImage(int w, int h)`
`boolean` | `getEdge()`
`java.awt.Color` | `getEdgeColor()`
`java.awt.Color` | `getFillColor()`
`boolean` | `getFilled()`
`java.awt.Color` | `getLineColor()`
`java.awt.Color` | `getTextColor()`
`int` | `getTextSize()`
`java.awt.Graphics` | `graphics()`
`void` | `load(CGM cgm)`
`static void` | `main(java.lang.String[] args)`
`void` | `paint(java.awt.Graphics g)`
`void` | `scale(int w, int h)`
`void` | `setEdge(boolean flag)`
`void` | `setEdgeColor(java.awt.Color c)`
`void` | `setFillColor(java.awt.Color c)`
`void` | `setFilled(boolean flag)`
`void` | `setLineColor(java.awt.Color c)`
`void` | `setTextColor(java.awt.Color c)`
`void` | `setTextSize(int h)`
`int` | `x(int x)`
`int` | `y(int y)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### X

    protected double X

### Y

    protected double Y

### DX

    protected double DX

### DY

    protected double DY

### W

    protected int W

### H

    protected int H

### Cgm

    protected CGM Cgm

### Extent

    protected int[] Extent

Constructor Detail

### CGMDisplay

    public CGMDisplay(CGM cgm)

Method Detail

### load

    public void load(CGM cgm)

### paint

    public void paint(java.awt.Graphics g)

### x

    public int x(int x)

### y

    public int y(int y)

### graphics

    public java.awt.Graphics graphics()

### setFillColor

    public void setFillColor(java.awt.Color c)

### getFillColor

    public java.awt.Color getFillColor()

### setFilled

    public void setFilled(boolean flag)

### getFilled

    public boolean getFilled()

### setEdgeColor

    public void setEdgeColor(java.awt.Color c)

### getEdgeColor

    public java.awt.Color getEdgeColor()

### setEdge

    public void setEdge(boolean flag)

### getEdge

    public boolean getEdge()

### setLineColor

    public void setLineColor(java.awt.Color c)

### getLineColor

    public java.awt.Color getLineColor()

### setTextColor

    public void setTextColor(java.awt.Color c)

### getTextColor

    public java.awt.Color getTextColor()

### setTextSize

    public void setTextSize(int h)

### getTextSize

    public int getTextSize()

### factorX

    public double factorX()

### factorY

    public double factorY()

### scale

    public void scale(int w,
                      int h)

### getBufferedImage

    public java.awt.image.BufferedImage getBufferedImage(int w,
                                                         int h)

### frame

    public void frame(java.awt.Graphics g)

### main

    public static void main(java.lang.String[] args)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### changeColor

    public void changeColor(java.awt.Color oldc,
                            java.awt.Color newc)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details